<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>px-tbl-mini demo</title>

  <script src="../node_modules/@webcomponents/webcomponentsjs/webcomponents-loader.js"></script>

  <script type="module">
    import '@polymer/iron-demo-helpers/demo-pages-shared-styles';
    import '@polymer/iron-demo-helpers/demo-snippet';
  </script>

  <script type="module" src="../px-tbl-mini.js"></script>

  <custom-style>
    <style is="custom-style" include="demo-pages-shared-styles">
    </style>
  </custom-style>
</head>
<body>
  <div class="vertical-section-container centered">
    <h3>Basic px-tbl-mini demo</h3>
      <demo-snippet>
        <template>

          <!-- default values -->
          <px-tbl-mini></px-tbl-mini>

          <!-- Custom Values -->
          <px-tbl-mini
            but_txt_m="Master"
            hea_txt_m="Master"
            desc_txt_m="Main System"
            desc_url_m="#"
            toast_m="Main System Detail"
            url_m="#"
            url_tgt_m="_blank"

            but_txt_l="Mirror"
            hea_txt_l="Mirror"
            desc_txt_l="2nd System"
            desc_url_l=""
            toast_l="Mirror System Detail"
            url_l="#"
            url_tgt_l="_blank"

            but_txt_r="Testing"
            hea_txt_r="Testing"
            desc_txt_r="Readme"
            desc_url_r="#"
            toast_r="Testing System Detail"
            url_r="#"
            url_tgt_r="_blank"
          >
          </px-tbl-mini>
        </template>
      </demo-snippet>
    </div>
  </body>
</html>
